<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class OrderItem extends Model
{
    protected $fillable = [
        'order_id',
        'product_id',
        'print_stock_id',
        'quantity',
        'price',
        'type',
        'is_sample',
        'length',
        'width',
        'height'
    ];

    public function order()
    {
        return $this->belongsTo(Order::class);
    }

    public function product()
    {
        return $this->belongsTo(Product::class);
    }

    public function printStock()
    {
        return $this->belongsTo(PrintStock::class);
    }
}
